* {
    margin: 0;
    padding: 0;
    font-family: "Lato", sans-serif;
    color: white;
    overflow: hidden;
}

/* main container  */
.main_container {
    height: 100vh;
    display: flex;
    background-color: black;
}

/* sidebar  */
.sidebar {
    height: 100vh;
    width: 20vw;
    background-color: balck;
}

/* nav of sidebar  */
.sidebar .nav {
    height: 5rem;
    border-radius: .5rem;
    padding: 1rem 1.25rem;
    margin: .5rem;
    background-color: #121212;
}

.sidebar .nav {
    line-height: 2.5em;
}

.sidebar .nav ul li a {
    text-decoration: none;
    margin-left: .75rem;
    font-weight: 700;
}

.sidebar .nav ul li i {
    position: relative;
    top: 3px;
    font-size: 1.25rem;
}

.sidebar .nav ul .Search {
    opacity: .6;
}

.sidebar .nav ul .Search:hover {
    opacity: 1;
    transition: all .2s .1s ease-in ease-out;
}

/* library panele of sidebar */
.libray {
    height: 68vh;
    background-color: #121212;
    border-radius: .5rem;
    padding: .5rem;
    margin: .5em .5em;
}

.libray .library_box {
    padding: .5rem 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.libray .library_box .library_icon1 {
    display: flex;
    align-items: center;
    opacity: .6;
}

.libray .library_box .library_icon1 img {
    height: 1.35rem;
    width: 1.35rem;
}

.libray .library_box .library_icon1 a {
    text-decoration: none;
    margin-left: 1rem;
    font-weight: 700;
}

.libray .library_box .library_icon2 i {
    opacity: .6;
    margin-left: 1rem;
    font-size: 1.25rem;
}

/* hover effet */

.libray .library_box .library_icon1:hover {
    opacity: 1;
}

.libray .library_box .library_icon2 i:hover {
    opacity: 1;
}

/* playlist box inside library panel  */
.playlist {
    height: 6rem;
    width: auto;
    margin: 1rem 0;
    padding: 1rem 1.25rem;
    background-color: #242424;
    border-radius: .5rem;
}

.playlist .heading_playlist {
    font-weight: 600;
}

.playlist .para_playlist {
    font-size: 1rem;
    font-weight: 500;
    margin-top: .5rem;
}

.playlist .btn_playlist {
    height: 2rem;
    width: fit-content;
    padding: .25rem 1rem;
    color: black;
    border: none;
    font-weight: 700;
    border-radius: 1rem;
    margin: 1.25rem 0rem;
}

.playlist .btn_playlist:hover {
    transform: scale(1.05);
}

.libray .podcast_panel {
    height: 8rem;
}



/* main box  */
.main_box {
    height: 100vh;
    flex: 1;
    background: rgb(18, 18, 18);
    border-radius: .5rem;
    margin: .5rem 0;
    overflow: auto;
}


/* header  */
.main_box .header {
    height: 4rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.main_box .header .icons {
    width: 4.6rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 1rem;
}

.main_box .header .icons1 {
    height: 1.75rem;
    width: 1.75rem;
    padding: .15rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    border-radius: 50%;
    opacity: 50%;
}

.main_box .header .icons1 {
    font-size: 1.25rem;
}

.header_btn {
    width: 360px;
    height: 64px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.btn1 {
    height: 2rem;
    width: fit-content;
    padding: .25rem 1rem;
    color: black;
    border: none;
    font-weight: 700;
    border-radius: 1rem;
    background-color: #fff;
}

.btn2 {
    background-color: black;
    color: white;
}

.btn2 i {
    position: relative;
    top: 2px;
    right: 5px;
}

.bell {
    height: 2rem;
    width: 2rem;
    color: black;
    background-color: black;
    border: none;
    border-radius: 50%;
    font-size: 1rem;
}

.profile_box {
    height: 2rem;
    width: 2rem;
    background-color: black;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.profile_pic {
    height: 1.5rem;
    width: 1.5rem;
    background-color: orange;
}

/* hover  */

.main_box .header_btn .btn1:hover {
    transform: scale(1.05);
    transition: font-size 0.3s ease;
}

.main_box .header_btn .bell:hover {
    transform: scale(1.1);
    transition: font-size 0.3s ease;
}

.main_box .header_btn .profile_box:hover {
    transform: scale(1.01);
    transition: font-size 0.3s ease;
}

.main_box .header_btn .profile_pic:hover {
    transform: scale(1.1);
    transition: font-size 0.3s ease;
}

/* options box  */
.main_box .option_box {
    height: 3.5rem;
    margin: 0 1rem;
    display: flex;
    align-items: center;
}

/* all btn  */
.main_box .option_box .option_btn1 {
    padding: .25rem .75rem;
    color: black;
    background-color: #fff;
}

/* music btn  */
.main_box .option_box .option_btn2 {
    margin: 0 .5rem;
    background-color: #242424;
}

.main_box .option_box .option_btn3 {
    background-color: #242424;
}

/* recent_play */
.main_box .recent_play {
    height: 3rem;
    width: auto;
    display: flex;
    margin: 01rem 1rem;
    border-radius: .5rem;
}

/* recent_song1 */
.main_box .recent_play .recent_song1 {
    width: 25vw;
    background-color: #242424;
    margin-right: 1rem;
    border-radius: .5rem;
    display: flex;
    align-items: center;

}

.main_box .recent_play .recent_song1:hover {
    background-color: #76737390;
    transition: all .2s ease-in;
}

/* img */
.recent_song1 img {
    border-radius: .01rem 0 0;
    height: 3rem;
    width: 3rem;
    margin-right: .5rem;
}

.recent_song2 img {
    border-radius: .01rem 0 0;
    height: 3rem;
    width: 3rem;
    margin-right: .5rem;
}

/* recent_song2 */
.main_box .recent_play .recent_song2 {
    border-radius: .5rem;
    width: 25vw;
    background-color: #242424;
    display: flex;
    align-items: center;
}

/* song area  */
.song_area {
    margin: 0 1rem;
}

/* main_section */
.main_box .song_area .main_section {
    height: 62px;
    display: flex;
    align-items: end;
    margin: 0 .5rem;
    justify-content: space-between;
}

.main_box .song_area .main_section a {
    text-decoration: none;
    font-size: 1.5rem;
    font-weight: 700;
}

.main_box .song_area .main_section .second_a {
    font-size: .95rem;
    opacity: 60%;
}

.card_container {
    /* height: 16rem; */
    /* width: 100vw; */
    display: flex;
    flex-wrap: wrap;
}

/* card */
.main_box .song_area .card {
    height: 16rem;
    width: 12rem;
    display: flex;
    flex-direction: column;
    /* background-color: red; */
    padding: 0.5rem;
}

.main_box .song_area .card img {
    height: 12rem;
    border-radius: .5rem;
}

.main_box .song_area .card h3 {
    margin: .5rem 0;
}

.main_box .song_area .card p {
    font-size: .85rem;
    opacity: 70%;
}
 .arjit{
    margin-bottom:10rem ;
 }
 .recent_container{
    height: 17rem;
    display: flex;
    flex-wrap: wrap;
 }


 /* footer  */
 .main_section{
    height: 20rem;
 }
 .footer_box{
    display: flex;
 }




.footer {
    height: 5rem;
    width: 100vw;
    position: absolute;
    bottom: 0;
    background-color: black;
}